Maybe the people didn't elect you

First published at 02:54 UTC on January 18th, 2021.

nikipress

Nikipress

subscribers

If you need so much security maybe the people didn't elect you.

CategoryNone
SensitivityNormal - Content that is suitable for ages 16 and over